<?php
/**
 * THIS IS THE HOME PAGE - IN WP ADMIN, SET "CUSTOMIZING: STATIC FRONT PAGE" WITH THE "YOUR LATEST POSTS" OPTION
 *
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package HNC
 */

get_header(); ?>

	<div id="primary-home" class="content-area col-md-12">
		<main id="main" class="site-main row container" role="main">

			<!-- HOME PAGE WIDGETS -->
			<!-- NOTICE BOARD - UPCOMING EVENTS - SEARCH FORM - HIGHLIGHTS: BECOME A MEMBER AND VOLUNTEER -->
			
			<div id="home-notice-board" class="widget-area col-md-12" role="complementary">
				<?php do_action( 'before_sidebar' ); ?>
				<?php if ( is_active_sidebar( 'sidebar-5' ) ) { ?>
				<div class="footer-column col-md-12 notice-board"> 
					<div class="top-noticeboard"><h2>Notice Board</h2></div>
					<div class="msgs-noticeboard">
						<?php
						dynamic_sidebar( 'sidebar-5'); 
						?> 
					</div>
				</div> 
				<?php }?>
			</div>

			<div id="home-highlights" class="widget-area col-md-12" role="complementary">
				<?php 

				/* Home: Events - Widget Area */
				do_action( 'before_sidebar' ); ?>
				<?php if ( is_active_sidebar( 'sidebar-6' ) ) { ?>
				<div class="footer-column col-md-8 home-events"> 
					<?php
					dynamic_sidebar( 'sidebar-6'); ?> 
					<div class="clearfix"></div>
				</div> 

				<?php }	
			
				/* Home: Highlights (search + become a member + be a volunteer) - Widget Area */
				if ( is_active_sidebar( 'sidebar-7' ) ) { ?>
				<div class="footer-column col-md-4 noformobile"> <?php
					dynamic_sidebar( 'sidebar-7'); 
				?> </div> <?php	
				}
				?>
			</div>
			<div class="clearfix"></div>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php get_sidebar('home-boxes'); ?>
<?php get_footer(); ?>

<!-- HTML Upcoming Events Example

<section class="listing-cont">
			<ul>
                <li class="item event-item">
                    <div class="event-date"> <span class="date">13</span> <span class="month">Feb</span> </div>
                    <div class="event-detail">
						<h4>
							<a href="#">Winter Bird Hike along Grand River</a> 
						</h4>
						<span class="event-dayntime meta-data"><strong>Saturday</strong> | February 13, 2016,&nbsp;&nbsp;09:00 am</span>
					</div>
				</li>

				<li class="item event-item">
                    <div class="event-date"> <span class="date">22</span> <span class="month">Feb</span> </div>
                    <div class="event-detail">
						<h4>
							<a href="#">Bird Study Group</a> 
						</h4>
						<span class="event-dayntime meta-data"><strong>Monday</strong> | February 22, 2016,&nbsp;&nbsp;09:00 am</span>
					</div>
				</li>

				<li class="item event-item">
                    <div class="event-date"> <span class="date">14</span> <span class="month">Mar</span> </div>
                    <div class="event-detail">
						<h4>
							<a href="#">Monthly Club Meeting</a> 
						</h4>
						<span class="event-dayntime meta-data"><strong>Monday</strong> | March14, 2016,&nbsp;&nbsp;07:00 pm</span>
					</div>
				</li>
			</ul>
			<div class="clearfix"></div><br />
			<p><a href="" class="widbutton">view all events</a></p>
</section>
--> 